List System Threads
curl --request GET \
--url https://api.decodahealth.com/email/threads/system \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/email/threads/system"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/email/threads/system', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"subject": "<string>",
"snippet": "<string>",
"isRead": true,
"isStarred": true,
"isArchived": true,
"firstMessageDate": "2023-11-07T05:31:56Z",
"lastMessageDate": "2023-11-07T05:31:56Z",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"messageCount": 0,
"fromContact": {
"id": "<string>",
"email": "<string>",
"displayName": "<string>",
"contactType": "EXTERNAL",
"patientIds": []
},
"toContacts": []
}
],
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Comms
List System Threads
List all system email threads (receipts, invoices).
Requires the messaging:emails:read_all permission. Returns only system-generated emails regardless of who sent them.
GET
/
email
/
threads
/
system
List System Threads
Headers
The tenant you are making this request on behalf of
Your api key
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Search in subject and snippet
⌘I
